const _Http = getApp().globalData.http;
Component({
    properties: {
        add: Boolean, //是否允许新增
        ownertable: {
            type: String,
            value: "sa_itemgroup"
        },
        ownerid: {
            type: String,
            value: 11
        }
    },
    data: {
        list: [],
    },
    methods: {
        getList() {
            _Http.basic({
                "id": 20220930103501,
                "content": {
                    ownertable: this.data.ownertable,
                    ownerid: this.data.ownerid,
                    pageSize: this.data.add ? 8 : 9
                }
            }).then(res => {
                console.log("团队", res)
                if (res.msg != '成功') return wx.showToast({
                    title: res.data,
                    icon: "none"
                });
                this.setData({
                    list: res.data
                })
            })
        },
        addUser() {
            wx.navigateTo({
                url: '/packageA/group/index?ownertable=' + this.data.ownertable + '&ownerid=' + this.data.ownerid,
            })
        },
    }
})